ViewDelegate
Date: 2013-03-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.viewmanager.plugin.delegate
Class ViewDelegate

    java.lang.Object
      org.gcube.contentmanagement.viewmanager.plugin.delegate.ViewDelegate

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  Delegate, Delegate, Delegate

    public abstract class ViewDelegate

extends java.lang.Object
implements java.io.Serializable

Author:
  Fabio Simeoni (University of Strathclyde)
See Also:
  Serialized Form

Constructor Summary
`ViewDelegate()`

Method Summary
`ViewResource` | `getResource()` Returns the view resource.
`GCUBEScopeManager` | `getScopeManager()` Return the scope manager.
`GCUBEServiceSecurityManager` | `getSecurityManager()` Returns the security manager.
`abstract void` | `initialise(boolean isAtCreationTime)` Initialises the delegate.
`void` | `onLoad(boolean firstLoad)` Invoked right after the delegate and its resource have been reloaded form persistent storage.
`void` | `setResource(ViewResource resource)` Sets the view resource.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewDelegate

    public ViewDelegate()

Method Detail

### initialise

    public abstract void initialise(boolean isAtCreationTime)
                             throws java.lang.Exception

  Initialises the delegate.

  Throws:
    `java.lang.Exception`

### setResource

    public void setResource(ViewResource resource)

  Sets the view resource.

  Parameters:
    `resource` - the resource to set.

### getResource

    public ViewResource getResource()

  Returns the view resource.

  Returns:
    the resource.

### getScopeManager

    public GCUBEScopeManager getScopeManager()

  Return the scope manager.

  Parameters:
    `the` - manager.

### getSecurityManager

    public GCUBEServiceSecurityManager getSecurityManager()

  Returns the security manager.

  Returns:
    the manager.

### onLoad

    public void onLoad(boolean firstLoad)

  Invoked right after the delegate and its resource have been reloaded form persistent storage.

  Parameters:
    `firstLoad` - `true` if this is the first load since the last restart of the container, `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD